Skip to main content
POST
/
v1
/
generate
Generate from source post
curl --request POST \
  --url https://reelmirror.com/api/v1/generate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "source_post_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "persona_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "auto_publish": false
}
'
{
  "data": {
    "id": "<string>",
    "status": "started"
  }
}

Authorizations

Authorization
string
header
required

API key (rm_xxx) or JWT token

Body

application/json
source_post_id
string<uuid>
required
persona_id
string<uuid>
required
auto_publish
boolean
default:false

When true, automatically publish to persona's connected accounts when generation completes

Response

202 - application/json

Generation started

data
object